/** @file MOMSubtitleComponent.cpp
 *
 * Copyright (C) Espial Limited 2014 - Company confidential - All rights reserved.
 *
 */

#include "config.h"

#if ENABLE(RMAI)

#include "MOMSubtitleComponent.h"

namespace WebCore {

MOMSubtitleComponent::MOMSubtitleComponent(mom_component comp)
    : MOMComponent(comp)
{
}

bool MOMSubtitleComponent::hearingImpaired() const
{
    return mom_component_get_hearing_impaired(component());
}

} // namespace WebCore

#endif // ENABLE(RMAI)
